Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(25)

Issue 2735633004: HTML Media Capture: update capture attribute to use string. (Closed)

Created:
2 years, 5 months ago by riju_
Modified:
2 years, 3 months ago
Reviewers:
haraken, mcasas, foolip
CC:
chromium-reviews, mlamouri+watch-content_chromium.org, blink-reviews-html_chromium.org, creis+watch_chromium.org, tzik, nasko+codewatch_chromium.org, jam, nhiroki, blink-reviews-api_chromium.org, dglazkov+blink, darin-cc_chromium.org, agrieve+watch_chromium.org, blink-reviews, kinuko+watch, kinuko+fileapi
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Implement https://github.com/w3c/html-media-capture/issues/4 HTML Media Capture spec changes the `capture' attribute from an boolean to enum FacingMode. The spec changes have landed in https://github.com/w3c/html-media-capture/issues/4 iOS also implemented the functionality in https://trac.webkit.org/changeset/204312/webkit BUG=698853 Review-Url: https://codereview.chromium.org/2735633004 Cr-Commit-Position: refs/heads/master@{#470881} Committed: https://chromium.googlesource.com/chromium/src/+/08c2a170239dae6559f696d033fa1baf8bbef4ac

Patch Set 1 #

Patch Set 2 : Try use intent for front facing #

Patch Set 3 : HTML Media Capture: update capture attribute to use string. #

Patch Set 4 : Fix for android webview #

Total comments: 10

Patch Set 5 : Fix comments #

Total comments: 1

Patch Set 6 : Do not propagate String(capture) outside Blink #

Unified diffs Side-by-side diffs Delta from patch set Stats (+22 lines, -3 lines) Patch
M third_party/WebKit/Source/core/html/HTMLInputElement.h View 1 2 3 4 5 1 chunk +3 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/html/HTMLInputElement.cpp View 1 2 3 4 5 1 chunk +13 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/html/HTMLInputElement.idl View 1 2 3 4 5 1 chunk +2 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/platform/FileChooser.h View 1 2 3 4 5 2 chunks +4 lines, -0 lines 0 comments Download

Messages

Total messages: 59 (38 generated)
riju_
Hi Miguel, The spec will transition to Candidate Recommendation on 04 May 2017. It will ...
2 years, 3 months ago (2017-04-26 10:45:16 UTC) #21
mcasas
Couple of comments. It kinda troubles me that we are landing code that won't work, ...
2 years, 3 months ago (2017-04-26 19:27:37 UTC) #23
foolip
On 2017/04/26 19:27:37, mcasas wrote: > Couple of comments. It kinda troubles me that > ...
2 years, 3 months ago (2017-04-27 08:31:46 UTC) #24
riju_
On 2017/04/27 08:31:46, foolip OOO until May 2 wrote: > On 2017/04/26 19:27:37, mcasas wrote: ...
2 years, 3 months ago (2017-04-27 08:48:36 UTC) #27
foolip
On 2017/04/27 08:48:36, riju_ wrote: > On 2017/04/27 08:31:46, foolip OOO until May 2 wrote: ...
2 years, 3 months ago (2017-04-27 09:09:39 UTC) #28
riju_
On 2017/04/27 09:09:39, foolip OOO until May 2 wrote: > On 2017/04/27 08:48:36, riju_ wrote: ...
2 years, 3 months ago (2017-04-27 10:31:34 UTC) #31
riju_
Thanks Miguel, fixed the comments. https://codereview.chromium.org/2735633004/diff/100001/third_party/WebKit/Source/core/html/HTMLInputElement.cpp File third_party/WebKit/Source/core/html/HTMLInputElement.cpp (right): https://codereview.chromium.org/2735633004/diff/100001/third_party/WebKit/Source/core/html/HTMLInputElement.cpp#newcode1685 third_party/WebKit/Source/core/html/HTMLInputElement.cpp:1685: String capture = FastGetAttribute(captureAttr).DeprecatedLower(); ...
2 years, 3 months ago (2017-04-27 12:30:20 UTC) #32
mcasas
On 2017/04/27 09:09:39, foolip OOO until May 2 wrote: > On 2017/04/27 08:48:36, riju_ wrote: ...
2 years, 3 months ago (2017-04-27 18:03:04 UTC) #33
riju_
On 2017/04/27 18:03:04, mcasas wrote: > On 2017/04/27 09:09:39, foolip OOO until May 2 wrote: ...
2 years, 3 months ago (2017-05-02 10:44:14 UTC) #34
foolip
https://codereview.chromium.org/2735633004/diff/120001/third_party/WebKit/Source/core/html/HTMLInputElement.idl File third_party/WebKit/Source/core/html/HTMLInputElement.idl (right): https://codereview.chromium.org/2735633004/diff/120001/third_party/WebKit/Source/core/html/HTMLInputElement.idl#newcode109 third_party/WebKit/Source/core/html/HTMLInputElement.idl:109: [Measure, RuntimeEnabled=MediaCapture, Reflect] attribute CaptureFacingMode capture; I've filed https://github.com/w3c/html-media-capture/issues/12 ...
2 years, 3 months ago (2017-05-03 15:27:03 UTC) #35
foolip
On 2017/05/02 10:44:14, riju_ wrote: > On 2017/04/27 18:03:04, mcasas wrote: > > On 2017/04/27 ...
2 years, 3 months ago (2017-05-03 15:28:50 UTC) #36
riju_
String (capture) is now not propagated beyond Blink. PTAL.
2 years, 3 months ago (2017-05-08 07:17:37 UTC) #41
foolip
On 2017/05/08 07:17:37, riju_ wrote: > String (capture) is now not propagated beyond Blink. PTAL. ...
2 years, 3 months ago (2017-05-08 08:10:25 UTC) #43
riju_
On 2017/05/08 08:10:25, foolip wrote: > On 2017/05/08 07:17:37, riju_ wrote: > > String (capture) ...
2 years, 3 months ago (2017-05-08 08:36:15 UTC) #44
foolip
On 2017/05/08 08:36:15, riju_ wrote: > On 2017/05/08 08:10:25, foolip wrote: > > On 2017/05/08 ...
2 years, 3 months ago (2017-05-08 13:25:31 UTC) #45
mcasas
On 2017/05/08 13:25:31, foolip wrote: > On 2017/05/08 08:36:15, riju_ wrote: > > On 2017/05/08 ...
2 years, 3 months ago (2017-05-10 19:50:31 UTC) #46
riju_
On 2017/05/10 19:50:31, mcasas wrote: > On 2017/05/08 13:25:31, foolip wrote: > > On 2017/05/08 ...
2 years, 3 months ago (2017-05-11 08:07:21 UTC) #51
riju_
@haraken: PTAL for WebKit/Source/platform
2 years, 3 months ago (2017-05-11 08:09:47 UTC) #53
haraken
LGTM
2 years, 3 months ago (2017-05-11 08:37:21 UTC) #54
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2735633004/160001
2 years, 3 months ago (2017-05-11 08:47:50 UTC) #56
commit-bot: I haz the power
2 years, 3 months ago (2017-05-11 09:01:11 UTC) #59
Message was sent while issue was closed.
Committed patchset #6 (id:160001) as
https://chromium.googlesource.com/chromium/src/+/08c2a170239dae6559f696d033fa...

Powered by Google App Engine
This is Rietveld 408576698